if(!dojo._hasResource["com.ibm.mm.builder.dnd.QuickWireTarget"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.dnd.QuickWireTarget"] = true;
/**
 * @author Yi Ming Huang(huangyim@cn.ibm.com)
 */
dojo.provide("com.ibm.mm.builder.dnd.QuickWireTarget");

/**
 * FreeformSource is the drop target of one column in free form
 */
dojo.declare("com.ibm.mm.builder.dnd.QuickWireTarget", dojo.dnd.Target, {
	
	//accept: ["iWidgetDefinition", "iWidgetInstance"],
	accept: ["lm"],
	
	handler: null,
	
	onDndDrop: function(source, nodes, copy, target){
		try {
			this.inherited(arguments);
		} catch (e) {
			//the source node will be null for unknown reason.
		}
	},
	/**
	onDropExternal: function(source, nodes, copy){
		var sid = nodes[0].getAttribute("dnddata");
		if(nodes[0].getAttribute("dndtype") === "iWidgetDefinition"){
			sid = this.layout.createWidget(nodes[0].getAttribute("dnddata"));
		}
		//hide before do autowire
		com.ibm.mm.builder.utils.iwidgetUtil.hideWidget(sid);
		var self = this;
		this.handler = com.ibm.mm.builder.utils.iwidgetUtil.invokeCallbackByWidgetInstanceId(sid, function(){
			var payload = {
				sourceWidgetId: sid,
				targetWidgetId: self.targetId,
				callBackFuncContext: self,
				callbackFunc: "moveEffect"
			};
			var es = com.ibm.mashups.services.ServiceManager.getService("eventService");
			es.broadcastEvent("com.ibm.mashups.builder.createQuickWire", payload);
			com.ibm.mm.builder.utils.iwidgetUtil.showWidget(sid);
			self.disconnectHandler();
		});
	},
	*/
	
	onDropExternal: function(source, nodes, copy) {
		var type = dojo.attr(nodes[0], "dndtype");
		if(this._acceptType(type)) {
			var sourceLcId = com.ibm.pb.layout.LayoutParser.extractID(nodes[0]);
			var targetLcId = this.node.title;
			var payload = {
				sourceWidgetId: sourceLcId,
				targetWidgetId: targetLcId
			};
			var es = com.ibm.mashups.services.ServiceManager.getService("eventService");
			es.broadcastEvent("com.ibm.mashups.builder.createQuickWire", payload);
		}
	},
	
	disconnectHandler: function(){
		if (this.handler) {
			com.ibm.mashups.services.ServiceManager.getService("eventService").unsubscribeEvent(this.handler, null);
		}
	},
	
	_acceptType: function(type) {
		if(this.accept[type])
			return true;
		return false;
	}
});

com.ibm.mm.builder.dnd.QuickWireTargetMap = {};

}
