/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.RepresentationProvider");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.ListModel");
dojo.require("com.ibm.mashups.enabler.Representation");

/**
 * An interface that allows to retrieve information about different representations of the resource.
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.RepresentationProvider", null, {
    /**
     * Returns a ListModel containing information about the alternate representations available. The model contains <code>Representation</code> objects .
     * @see com.ibm.mashups.enabler.Representation
     * @return {com.ibm.mashups.enabler.ListModel} ListModel containing alternate representations of the resource; never <code>null</code>
     */
    getAlternateModel: function(){
    }
});
//</INTERFACE>

dojo.require( "com.ibm.mm.enabler.RepresentationProviderImpl");
