/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.runtime.skin.Factory");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.runtime.skin.RuntimeSkinModel");
/**
 * Runtime skin model factory.
 * Please note that the model factory creates only one instance of the model and
 * returns this instance every time the respective get-method is called.
 * 
 * @ibm-api
 * @ibm-module CoreModel
 * @since 2.4
 */
dojo.declare("com.ibm.mashups.enabler.runtime.skin.Factory", null, {
    /**
     * Returns the runtime skin model.
     *
     * @return {com.ibm.mashups.enabler.runtime.skin.RuntimeSkinModel} runtime skin model, never <code>null</code>
     */
    getRuntimeSkinModel: function(){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.runtime.skin.FactoryImpl");
