if(!dojo._hasResource["com.ibm.mm.builder.iwidget.spacemanager.model.FavoriteSpacesModel"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.iwidget.spacemanager.model.FavoriteSpacesModel"] = true;
dojo.provide("com.ibm.mm.builder.iwidget.spacemanager.model.FavoriteSpacesModel");

dojo.require("com.ibm.mm.builder.iwidget.spacemanager.model.ModelAutoRegisterMixin");
dojo.require("com.ibm.mm.builder.iwidget.spacemanager.model.FQASpacesStore");

dojo.declare("com.ibm.mm.builder.iwidget.spacemanager.model.FavoriteSpacesModel", 
    com.ibm.mm.builder.iwidget.spacemanager.model.ModelAutoRegisterMixin, {
    _constants: com.ibm.mm.builder.iwidget.spacemanager.SpaceManagerConstants,
    
    getName : function() {
        return this._constants.ModelName.RecentlyVisitedSpaces;
    },
    
    constructor: function() {
        this.spaceUtil = com.ibm.mm.builder.utils.spaceUtil;
        
        this._subscriptions = [];
        this._listRecentSpaces();
    },
    
    _listRecentSpaces: function() {
        var spaceModel = this.spaceUtil.getSpaceModel();
        var data = new com.ibm.mm.builder.iwidget.spacemanager.model.FQASpacesStore({});
        dojo.mixin(this, data);
        
        this._subscriptions.push(dojo.subscribe(this._constants.Topic.Space.addToRecentSpaces, dojo.hitch(this, this.addToStack)));
        this._subscriptions.push(dojo.subscribe(this._constants.Topic.Space.removeFromRecentSpaces, dojo.hitch(this, this.removeFromStackById)));
		this._subscriptions.push(dojo.subscribe(this._constants.Topic.Space["delete"], dojo.hitch(this, this.removeFromStackById)));
		this._subscriptions.push(dojo.subscribe(this._constants.Topic.Space.changeSpaceTitle, dojo.hitch(this, this.changeSpaceTitle)));
    },
	
	uninitialized: function() {
        dojo.forEach(this._subscriptions, dojo.unsubscribe);
    }
});

}
