dojo.provide("com.ibm.pb.customize.LotusWaitingDialog");
dojo.require("com.ibm.pb.customize.LotusDialog");

dojo.declare("com.ibm.pb.customize.LotusWaitingDialog", [com.ibm.pb.customize.LotusDialog], {
    spinner: "",
    message: "",
    destroyOnClose: true,
    templateString: '<div class="lotusDialogBorder lotusui30 lotusui" waistate="labelledby-${id}" wairole="dialog" role="dialog" index="-1" aria-labelledby="${id}">' +
    '<div class="lotusDialog">' +
    /* the closeButtonNode is needed as an attach point because the base dijit.Dialog requires it */
    '<span dojoAttachPoint="closeButtonNode" style="display:none"></span>'+
    '<div class="lotusDialogContent" dojoAttachPoint="containerNode">' +
    '<img src="${spinner}" alt="${loadingText}" title="${loadingText}"/>' +
    '${message}' +
    '</div>' +
    '</div>' +
    '</div>',
    
    postMixInProperties: function(){
        this.nlsBundle = dojo.i18n.getLocalization("com.ibm.bundles", "Shelf");
        this.loadingText = this.nlsBundle["shelf_loading"];
        this.message = "      " + this.message;
        this.inherited(arguments);
    },
    
    show: function(){
        if (!this.domNode) 
            return;
        var me = this;
//        setTimeout(function(){
//            if (me.open) 
//                dijit._underlay.show();
//        }, this.duration + 200); // make sure underlay is visible
//cause memory leak (defect 19322), since this is a quick disappear dialog, remove it.
        this.inherited(arguments);
    }
});
