dojo.provide("com.ibm.pb.iwidget.control");

(function(){
	var mashiWidget = com.ibm.mashups.iwidget,
		iwidgetConstants = mashiWidget.Constants,
		eventService = com.ibm.mashups.services.ServiceManager.getService(com.ibm.mashups.iwidget.services.EventService.SERVICE_NAME),
		globalIWidgetModel = mashiWidget.model.Factory.getGlobalWidgetModel();
		
	com.ibm.pb.iwidget.control = {
		onLoad: function(id, cb) {
			// if id is not null, look up the iwidget in the global iwidget model with that
			// id and wait till its loaded before calling the callback function
			if(id) {
				var iWidgetWrapper = globalIWidgetModel.find(id);
				if(iWidgetWrapper) {
					if(iWidgetWrapper.isLoaded() === false) {
						var me = this;
						eventService.subscribeEvent(iwidgetConstants.WIDGET_LOADED + "." + id, null, function(){
								cb(iWidgetWrapper);
							});
						return;
					}
					else {
						cb(iWidgetWrapper);
						// we don't need to callback twice
						return;
					}
				}
			}
			cb();
		}				
	}
	var iCtl = com.ibm.pb.iwidget.control;
})();
